## com.ericsson.otp.ic
Class PidHelper

    java.lang.Object
      com.ericsson.otp.ic.PidHelper

    public class PidHelper

extends java.lang.Object

Helper class for Pid.

Method Summary
`static Pid` `extract(Any _any)` Standard method for extracting a Pid from an Any.
`static java.lang.String` `id()` Standard method that returns the interface repository identity.
`static void` `insert(Any _any, Pid _this)` Standard method for inserting a Pid to an Any.
`static void` `marshal(com.ericsson.otp.erlang.OtpOutputStream _out, Pid _value)` Marshal method for the Pid class, encodes the Pid object to the output stream.
`static java.lang.String` `name()` Standard method that returns the Pid class name.
`static TypeCode` `type()` Standard TypeCode accessor method.
`static Pid` `unmarshal(com.ericsson.otp.erlang.OtpInputStream _in)` Unmarshal method for the Pid class, decodes a Pid object from the stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### marshal

    public static void marshal(com.ericsson.otp.erlang.OtpOutputStream _out,
                               Pid _value)
                        throws java.lang.Exception

  Marshal method for the Pid class, encodes the Pid object to the output stream.

  Throws:
    `java.lang.Exception`

### unmarshal

    public static Pid unmarshal(com.ericsson.otp.erlang.OtpInputStream _in)
                         throws java.lang.Exception

  Unmarshal method for the Pid class, decodes a Pid object from the stream.

  Returns:
    Pid, read from the input stream
  Throws:
    `java.lang.Exception`

### id

    public static java.lang.String id()

  Standard method that returns the interface repository identity.

  Returns:
    String containing the interface repository identity of Pid

### name

    public static java.lang.String name()

  Standard method that returns the Pid class name.

  Returns:
    String containing the class name of Pid

### type

    public static TypeCode type()

  Standard TypeCode accessor method.

  Returns:
    the TypeCode for Pid

### insert

    public static void insert(Any _any,
                              Pid _this)
                       throws java.lang.Exception

  Standard method for inserting a Pid to an Any.

  Throws:
    `java.lang.Exception`

### extract

    public static Pid extract(Any _any)
                       throws java.lang.Exception

  Standard method for extracting a Pid from an Any.

  Returns:
    Pid, the value found in an Any contained stream.
  Throws:
    `java.lang.Exception`

Copyright © 1991-2007 Ericsson AB